rte_pktmbuf_pool_private(3)

NAME
rte_pktmbuf_pool_private

SYNOPSIS

#include <rte_mbuf.h>

  Data Fields

uint16_t mbuf_data_room_size
uint16_t mbuf_priv_size
uint32_t flags

Detailed Description

Private data in case of pktmbuf pool.

A structure that contains some pktmbuf_pool-specific data that are appended after the mempool structure (in private data).

Definition at line 301 of file rte_mbuf.h.

Field Documentation

  uint16_t mbuf_data_room_size
Size of data space in each mbuf.

Definition at line 302 of file rte_mbuf.h.

  uint16_t mbuf_priv_size
Size of private area in each mbuf.

Definition at line 303 of file rte_mbuf.h.

  uint32_t flags
reserved for future use.

Definition at line 304 of file rte_mbuf.h.

Author

Generated automatically by Doxygen for DPDK from the source code.